library IEEE;
use IEEE.std_logic_1164.all;

entity xor_stim is
end xor_stim;

architecture Test of xor_stim is

  component xor_gate
    port (a,b : in STD_LOGIC;
          c   : out STD_LOGIC);
  end component;

  signal a_test, b_test, c_test: STD_LOGIC;
  
begin
  my_xor_gate: xor_gate port map(
   				 a => a_test,
				 b => b_test,
				 c => c_test);
  a_test <= '0' after 0 ns,
	    '1' after 2 ns,
	    '0' after 4 ns,
	    '1' after 6 ns;
  b_test <= '0' after 0 ns,
	    '0' after 2 ns,
	    '1' after 4 ns,
	    '1' after 6 ns;
end Test;
